function I = makeSquare(iminfo)

% First generate the image with the right dimensions and save it.
N = min(iminfo.Height, iminfo.Width);
l = N/4;
Ibin = zeros(iminfo.Height, iminfo.Width);
Ibin(round(l):round(3*l), round(l):round(3*l)) = 1;
I(:,:,1) = Ibin;
I(:,:,2) = Ibin;
I(:,:,3) = Ibin;
